<?php
session_start();

function nav($nav) {
    foreach($nav as $name => $url) {
        echo "<div class='navitem'><a href='$url'>$name</a></div>";
    }
    if(isset($_SESSION['userid'])) { 
        echo "<div class='navitem'><a href='admin.php'>Admin</a></div>";
    }
    if (isset($_SESSION['userid'])) {
        echo "<div class='navitem'><a href='logout.php'>Déconnexion</a></div>";
    } else {
        echo "<div class='navitem'><a href='login.php'>Connexion</a></div>";
    }
}

function connect($dbhost, $dbname, $dbuser, $dbpass) {
    try
        {
            $bdd = new PDO('mysql:host=' . $dbhost . ';dbname=' . $dbname . ';charset=UTF8',$dbuser,$dbpass);
            $bdd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        }
    catch(Exception $e)
        {
            die('Erreur : '.$e->getMessage());
        }
    return $bdd;
}
?>